import * as Yup from 'yup';

export const EmailSchema = Yup.string().email('Format email invalid!');

export const PasswordSchema = Yup.string()
  .min(8, 'Password harus setidaknya memiliki 8 karakter')
  .matches(/[a-z]/, 'Harus memiliki setidaknya 1 huruf kecil')
  .matches(/[A-Z]/, 'Harus memiliki setidaknya 1 huruf besar')
  .matches(/\d/, 'Harus memiliki setidaknya 1 angka')
  .matches(
    /[@$!%*?&^#()_\-+={}[\]|:;"'<>,.\\/]/,
    'Harus memiliki setidaknya 1 karakter spesial'
  );
